<?php
/**
 * DLE Shikimori
 *
 * @copyright 2018 PunPun (https://punpun.name)
 * @version   1.0.0
 * @link      https://punpun.name
 */

if (!defined('DATALIFEENGINE') OR !defined('LOGGED_IN')) {
	die("Hacking attempt!");
}

include ENGINE_DIR . '/mod_punpun/dle_shikimori/language/dle_shikimori.lng';
include ENGINE_DIR . '/mod_punpun/dle_shikimori/config/dle_shikimori.php';
include __DIR__ . '/class.admin.php';

$dle_shikimori_config['version'] = '1.0.0';

$admin = new AdminTemplate($db, $member_id, $user_group, $config, $dle_shikimori_config, $dle_shikimori_lang, $cat_info, $dle_login_hash);

$admin->setMenu(
	[
		['', 'dle_shikimori', 'home', $dle_shikimori_lang['main']],
		['options', 'dle_shikimori&action=options', 'settings', $dle_shikimori_lang['settings']]
	], $action);

$admin->headerTemplate();
$admin->content($action);
$admin->footerTemplate();
?>