<?php
/**
 * DLE Shikimori
 *
 * @copyright 2018 PunPun (https://punpun.name)
 * @version   1.0.0
 * @link      https://punpun.name
 */

if (!defined('DATALIFEENGINE') OR !defined('LOGGED_IN')) {
	die('Hacking attempt!');
}

$all_xfield = xfieldsload();
$count_all_xfield = count($all_xfield);

$xfield = [];

$xfield['-'] = '-';
for ($i = 0; $i < $count_all_xfield; $i++) {
	$xfield[$all_xfield[$i][0]] = $all_xfield[$i][1];
}

$this->module_config['options']['news'] = $this->module_config['options']['news'] ? $this->module_config['options']['news'] : 10;

$shikimoriGenres = [
	5 => 'Безумие', 17 => 'Боевые искусства', 32 => 'Вампиры', 38 => 'Военное', 35 => 'Гарем', 6 => 'Демоны', 7 => 'Детектив', 15 => 'Детское', 43 => 'Дзёсей', 8 => 'Драма', 11 => 'Игры', 13 => 'Исторический', 4 => 'Комедия', 29 => 'Космос', 16 => 'Магия', 3 => 'Машины', 18 => 'Меха', 19 => 'Музыка', 20 => 'Пародия', 36 => 'Повседневность', 39 => 'Полиция', 2 => 'Приключения', 40 => 'Психологическое', 22 => 'Романтика', 21 => 'Самураи', 37 => 'Сверхъестественное', 42 => 'Сейнен', 30 => 'Спорт', 31 => 'Супер сила', 25 => 'Сёдзе', 26 => 'Сёдзе Ай', 27 => 'Сёнен', 28 => 'Сёнен Ай', 41 => 'Триллер', 14 => 'Ужасы', 24 => 'Фантастика', 10 => 'Фэнтези', 12 => 'Хентай', 23 => 'Школа', 1 => 'Экшен', 9 => 'Этти', 34 => 'Юри', 33 => 'Яой'
];

echo <<<HTML
<style>
.table td:nth-child(1) {
	width: 70%;
}
.table label {
	float: right;
}
</style>
<div class="card">
		<div class="form-group" style="padding: 1.5rem 1.5rem;margin-bottom:0rem;">
			<div class="selectgroup w-100">
				<label class="selectgroup-item">
					<input type="radio" name="option_block" value="1" class="selectgroup-input" checked>
					<span class="selectgroup-button">{$this->module_lang[0]}</span>
				</label>
				<label class="selectgroup-item">
					<input type="radio" name="option_block" value="3" class="selectgroup-input">
					<span class="selectgroup-button">{$this->module_lang[22]}</span>
				</label>
				<label class="selectgroup-item">
					<input type="radio" name="option_block" value="2" class="selectgroup-input">
					<span class="selectgroup-button">{$this->module_lang[1]}</span>
				</label>
			</div>
		</div>
	</div>
	<form method="post">
		<div id="option_block_1" class="card">
			<div class="card-header">
				<h3 class="card-title">{$this->module_lang[36]}</h3>
			</div>
			<table class="table">
HTML;
$xfOptions = [
	'originalName' => $this->module_lang[4],
	'rusName' => $this->module_lang[5],
	'year' => $this->module_lang[20],
	'type' => $this->module_lang[7],
	'status' => $this->module_lang[8],
	'seriaNum' => $this->module_lang[9],
	'age' => $this->module_lang[11],
	'allOtherName' => $this->module_lang[12],
	'time' => $this->module_lang[13],
	'rating' => $this->module_lang[14],
	'description' => $this->module_lang[15],
	'genres' => $this->module_lang[16],
	'studio' => $this->module_lang[17],
	'trailer' => $this->module_lang[18],
	'idShiki' => $this->module_lang[21],
];
foreach ($xfOptions as $key => $value) {
	$this->showTr(
		$value,
		'',
		'select',
		['xf[' . $key . ']', $xfield, true, $this->module_config['xf'][$key], false, false]
	);
}
echo <<<HTML
			</table>
		</div>
		<div id="option_block_3" style="display:none;">
			<div class="card">
				<div class="card-header">
					<h3 class="card-title">{$this->module_lang[34]}</h3>
				</div>
				<table class="table">
HTML;
$this->showTr(
	$this->module_lang[23],
	'',
	'checkbox',
	['options[uploadPoster]', $this->module_config['options']['uploadPoster'], false]
);
$this->showTr(
	$this->module_lang[38],
	'',
	'select',
	['options[xfPoster]', $xfield, true, $this->module_config['options']['xfPoster'], false, false]
);
$this->showTr(
	$this->module_lang[24],
	$this->module_lang[25],
	'input',
	['options[sizePoster]', 'text', $this->module_config['options']['sizePoster']]
);
$this->showTr(
	$this->module_lang[26],
	$this->module_lang[27],
	'input',
	['options[sizeTumb]', 'text', $this->module_config['options']['sizeTumb'] ? $this->module_config['options']['sizeTumb'] : 0]
);
$this->showTr(
	$this->module_lang[28],
	'',
	'select',
	['options[typeSizeTumb]', [0 => $this->module_lang[29], 1 => $this->module_lang[30], 2 => $this->module_lang[31]], true, $this->module_config['options']['typeSizeTumb'], false, false]
);
$this->showTr(
	$this->module_lang[32],
	$this->module_lang[33],
	'input',
	['options[qualityPoster]', 'number', $this->module_config['options']['qualityPoster'] ? $this->module_config['options']['qualityPoster'] : 80, false, false, 1, 100]
);
echo <<<HTML
				</table>
			</div>
			<div class="card">
				<div class="card-header">
					<h3 class="card-title">{$this->module_lang[35]}</h3>
				</div>
				<table class="table">
HTML;
$this->showTr(
	$this->module_lang[39],
	'',
	'checkbox',
	['options[uploadScreens]', $this->module_config['options']['uploadScreens'], false]
);
$this->showTr(
	$this->module_lang[40],
	'',
	'select',
	['options[xfScreens]', $xfield, true, $this->module_config['options']['xfScreens'], false, false]
);
$this->showTr(
	$this->module_lang[41],
	'',
	'input',
	['options[countScreens]', 'number', $this->module_config['options']['countScreens'] ? $this->module_config['options']['countScreens'] : 4, false, false, 1, 10]
);
$this->showTr(
	$this->module_lang[42],
	$this->module_lang[25],
	'input',
	['options[sizeScreens]', 'text', $this->module_config['options']['sizeScreens']]
);
$this->showTr(
	$this->module_lang[43],
	$this->module_lang[27],
	'input',
	['options[sizeTumbScreens]', 'text', $this->module_config['options']['sizeTumbScreens'] ? $this->module_config['options']['sizeTumbScreens'] : 0]
);
$this->showTr(
	$this->module_lang[28],
	'',
	'select',
	['options[typeSizeTumbScreens]', [0 => $this->module_lang[29], 1 => $this->module_lang[30], 2 => $this->module_lang[31]], true, $this->module_config['options']['typeSizeTumbScreens'], false, false]
);
$this->showTr(
	$this->module_lang[44],
	$this->module_lang[33],
	'input',
	['options[qualityScreens]', 'number', $this->module_config['options']['qualityScreens'] ? $this->module_config['options']['qualityScreens'] : 80, false, false, 1, 100]
);
echo <<<HTML
				</table>
			</div>
		</div>
		<div id="option_block_2" class="card" style="display:none;">
			<div class="card-header">
				<h3 class="card-title">{$this->module_lang[37]}</h3>
			</div>
			<table class="table">
HTML;
$arrayCat = [];
array_walk($shikimoriGenres, function($value, $key) use (&$arrayCat) {
    $str = '<option value=\'-\'>-</option>';
    foreach ($this->cat_info as $catKey => $catArr) {
        $str .= "<option value='{$catArr['id']}'";
        if ($catArr['id'] == $this->module_config['category'][$key]) {
            $str .= ' selected';
        }
        $str .= '>' . $catArr['name'] . '</option>';
    }
    $arrayCat[$key] = $str;
});

foreach ($shikimoriGenres as $key => $value) {
	$this->showTr(
		$this->module_lang[2] . $value,
		$this->module_lang[3] . $value,
		false,
		"<select name=\"category[{$key}]\" class=\"form-control custom-select\">" . $arrayCat[$key] . "</select>"
	);
}
echo <<<HTML
			</table>
		</div>
		<button type="submit" name="submit" class="btn btn-lg btn-success">{$this->module_lang['save']}</button>
	</form>
	<script>
		$(function() {
			$("select[multiple]").chosen({allow_single_deselect:true, no_results_text: '{$this->module_lang['nothing']}', width: "300px"});
			$("body").on("click", "[name=option_block]", function() {
				var id = $(this).val();
				$("[id*=option_block_]").hide();
				$("#option_block_"+id).show();
			});
			function ajax_save_option() {
				var data_form = $("form").serialize();
				$.post("/engine/mod_punpun/dle_shikimori/admin/ajax/ajax.php", {data_form: data_form, action: 'options', user_hash: '{$this->dle_login_hash}'}, function(data) {
					data = jQuery.parseJSON(data);
					$.toast({
						heading: data.head,
						text: data.text,
						showHideTransition: 'slide',
						position: 'top-right',
						icon: data.icon,
						stack: false
					});
					return false;
				});
				return false;
			}
			
			$("body").on("change", "form", function() {
				ajax_save_option();
			});
			
			$("body").on("submit", "form", function(e) {
				e.preventDefault();
				ajax_save_option();
				return false;
			});
		});
	</script>
HTML;
?>