<?php
/**
 * DLE Shikimori
 *
 * @copyright 2018 PunPun (https://punpun.name)
 * @version   1.0.0
 * @link      https://punpun.name
 */

@error_reporting(E_ALL ^ E_WARNING ^ E_DEPRECATED ^ E_NOTICE);
@ini_set('error_reporting', E_ALL ^ E_WARNING ^ E_DEPRECATED ^ E_NOTICE);
@ini_set('display_errors', true);
@ini_set('html_errors', false);

define('DATALIFEENGINE', true);
define('ROOT_DIR', substr(dirname(__FILE__), 0, -43));
define('ENGINE_DIR', ROOT_DIR . '/engine');

if (file_exists(ENGINE_DIR . '/classes/plugins.class.php')) {
	require_once (ENGINE_DIR . '/classes/plugins.class.php');
	include_once (DLEPlugins::Check(ENGINE_DIR . '/modules/functions.php'));
	if ($config["lang_" . $config['skin']] AND file_exists(DLEPlugins::Check(ROOT_DIR . '/language/' . $config["lang_" . $config['skin']] . '/website.lng'))) {
		include_once (DLEPlugins::Check(ROOT_DIR . '/language/' . $config["lang_" . $config['skin']] . '/website.lng'));
	} else {
		include_once (DLEPlugins::Check(ROOT_DIR . '/language/' . $config['langs'] . '/website.lng'));
	}

	dle_session();

	require_once (DLEPlugins::Check(ENGINE_DIR . '/modules/sitelogin.php'));
} else {
	include ENGINE_DIR . '/data/config.php';
	include ENGINE_DIR . '/classes/mysql.php';
	include ENGINE_DIR . '/data/dbconfig.php';
	include ENGINE_DIR . '/modules/functions.php';

	dle_session();

	include ENGINE_DIR . '/modules/sitelogin.php';
}

include ENGINE_DIR . '/mod_punpun/dle_shikimori/language/dle_shikimori.lng';

date_default_timezone_set($config['date_adjust']);
$_TIME = time();

$_POST['user_hash'] = trim($_POST['user_hash']);
if ($_POST['user_hash'] == '' OR $_POST['user_hash'] != $dle_login_hash) {
	die('error');
}

if (!$is_logged && $member_id['user_group'] != 1) {
	die();
}

$action = isset($_POST['action']) ? trim(strip_tags($_POST['action'])) : false;

if ($action == 'options') {
	$data_form = isset($_POST['data_form']) ? $_POST['data_form'] : false;
	if ($data_form) {
		parse_str($data_form, $array_post);
	}
	$new_array = [];
	foreach ($array_post as $index => $item) {
		foreach ($item as $key => $value) {
			if ($value != '' && $value != '-') {
				if (is_numeric($value)) {
					$value = intval($value);
				} else {
					$value = strip_tags(stripslashes($value));
				}
				$new_array[$index][$key] = $value;
			}
		}
	}
	$handler = fopen(ENGINE_DIR . '/mod_punpun/dle_shikimori/config/dle_shikimori.php', "w");
	fwrite($handler, "<?PHP \n\n//DLE Shikimori by punpun.name\n\n\$dle_shikimori_config = ");
	fwrite($handler, var_export($new_array, true));
	fwrite($handler, ";\n\n?>");
	fclose($handler);	
	echo json_encode(['head' => $dle_shikimori_lang['its_ok'], 'text' => $dle_shikimori_lang['options_save'], 'icon' => 'success']);
}
?>