<?php
/**
 * DLE Shikimori
 *
 * @copyright 2018 PunPun (https://punpun.name)
 * @version   1.0.0
 * @link      https://punpun.name
 */

if (!defined('DATALIFEENGINE') OR !defined('LOGGED_IN')) {
	die('Hacking attempt!');
}
$nShiki = $action == 'editnews' ? 2 : 1;
$divShikimori = <<<HTML
<div class='form-group'><label class='control-label col-sm-2'>Поиск на Shikimori</label><div class='col-sm-10'><input type='text' class='form-control width-550 position-left' name='shikiName' id='shikiName' maxlength='250' placeholder='Введите название аниме'><button onclick='findShiki(); return false;' class='visible-lg-inline-block btn bg-success-800 btn-sm btn-raised'>Найти на Shikimori</button><span id='animeShiki'></span></div></div>
HTML;
$id = $id ? $id : 0;
echo <<<HTML
<script>
$(function() {
	$("#tabhome > div > div:nth-child({$nShiki})").after("{$divShikimori}");
});
function findShiki() {
	var name = $('#shikiName').val().trim();
	if (!name) {
		Growl.error({
			title: '{$lang['p_info']}',
			text: 'Поле не может быть пустым'
		});
	} else {
		$.post("engine/mod_punpun/dle_shikimori/ajax/Shikimori.php", {name: name, action: 'search'}, function(data) {
			var anime = jQuery.parseJSON(data);
			if (anime.error) {
				Growl.error({
					title: '{$lang['p_info']}',
					text: anime.error
				});
			} else {
				$('#animeShiki').html("<div class='findrelated'>" + anime.anime + "</div>");
			}
		});
	}
	return false;
}
var parse = false;
function parseAnime(id) {
	if (parse) {
		return;
	}
	parse = true;
	if (!id) {
		Growl.error({
			title: '{$lang['p_info']}',
			text: 'ID не может быть пустым'
		});
	} else {
		ShowLoading();
		$.post("engine/mod_punpun/dle_shikimori/ajax/Shikimori.php", {id: id, action: 'parse', newsId: {$id}}, function(data) {
			var anime = jQuery.parseJSON(data);
			if (anime.error) {
				HideLoading();
				Growl.error({
					title: '{$lang['p_info']}',
					text: anime.error
				});
			} else {
				if (anime.cats) {
					$.each(anime.cats, function(i, v) {
						$('#category option[value='+v+']').attr('selected','selected');
					});
					$("#category").trigger("chosen:updated");
				}
				$.each(anime, function(i, v) {
					if (i == 'cats') {
						return;
					}
					$('#' + i).val(v);
				});
			}
			parse = false;
			HideLoading();
		});
	}
	return false;
}
</script>
HTML;

?>